import sys

from mongo.get_conn import db_conn
import pandas as pd

class TableBuilder():
    def __init__(self) -> None:
        self.db = db_conn()

    def table_build(self, field, read_count=3, runs=5) -> pd.DataFrame:
        data = self.db.beer_db
        data = data.find({}).sort("date", -1)
        df_dict = {}
        df_dict["beer_run_id"]=[]
        df_dict["sg"] = []
        df_dict["date"] = []
        df_dict["final_reading"] = []

        for record in data:
            df_dict["beer_run_id"].append(record["beer_run_id"])
            df_dict["sg"].append(record["sg"])
            df_dict["date"].append(record["date"])
            df_dict["final_reading"].append(record["final_reading"])

        df = pd.DataFrame(data=df_dict)
        df_sum = df.groupby('beer_run_id').agg({'sg': ['max', 'min']})
        return df_sum
    

